<?php

declare(strict_types=1);

namespace VK\Loggers;

/**
 * Абстрактный класс журналиста
 * 
 * 
 * @package Log
 * @author Arsen Mirzaev
 */
abstract class LoggerAbstract
{
    /**
     * Экземпляр класса журналиста
     *
     * @var LoggerAbstract 
     */
    public static $logger;

    abstract static public function post($file = null): ?LoggerAbstract;
    abstract static public function get(): ?LoggerAbstract;
    abstract static public function delete(): ?LoggerAbstract;
}